For the complete documentation index, see llms.txt.
/api/ordersUpdate Order
You can use the Update Order API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).
Orders
Create, search, update, tag, archive, restore, and list orders before shipping.
18 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders
Details
You can use the Update Order API to update order information. Different fields are available depending on the state of the order (i.e. once you have generated a label there is limited ability to modify the shipment details as they must be retained).
For new/unshipped orders you can update all non read-only fields in the model: Update Order Model
For printed & shipped orders you can update:
- Status (you can not update back to unshipped once printed)
Update Order Request
Update Order Response
Request body
{
"order": {
"order_id": 488123472,
"order_number": "1731273098",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_service_code": "7B05",
"carrier_service_name": "Express Post",
"shipping_method": "Express Shipping",
"signature_required": false,
"note": "Add gift card before packing",
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door",
"tax_numbers": [
{
"tax_type": "vat_registration",
"tax_number": "GB123456789"
}
]
},
"billing": {
"name": "Jane Smith",
"company": "Smith Tools",
"street": "44 Billing Road",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"tax_numbers": [
{
"tax_type": "australia_gst_number",
"tax_number": "123456789"
}
]
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 1,
"weight": 0.65,
"value": 125,
"brand": "Acme",
"material": "Aluminium",
"usage": "Personal electronics",
"mid_code": "AUSACME",
"bin_location": "A-01",
"barcode": "9340000000012",
"image_url": "https://example.com/products/mobile-phone.jpg",
"merchant_product_id": "MOBILE",
"manufacturer_product_id": "ACME-MOBILE-001",
"standardised_product_id": "9340000000012"
}
],
"packages": [
{
"package_id": 1035548017,
"name": "Small carton",
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.12,
"packaging_type": "Carton",
"tracking_number": "ABC123456789",
"sscc": "000123456789012345",
"description": "Phone and accessories"
}
],
"customs": {
"incoterm": "DAP",
"export_reason": "Sale",
"invoice_remarks": "Handle with care"
},
"metadatas": [
{
"metafield_key": "packing_note",
"value": "Gift wrap",
"required": false
}
]
}
}Response examples
Update Order (200)
{
"order": {
"order_id": 1020304051,
"order_date": "2020-11-03T01:39:02.0690092Z",
"order_number": "10001",
"reference": "Online Order",
"carrier": "AusPost",
"carrier_name": "Australia Post",
"carrier_service_code": "7B05",
"shipping_method": "Express Shipping",
"signature_required": false,
"dangerous_goods": false,
"destination": {
"name": "John Smith",
"phone": "0290988227",
"street": "20 George Street",
"suburb": "Sydney",
"state": "NSW",
"post_code": "2000",
"country": "Australia",
"delivery_instructions": "Leave at door"
},
"items": [
{
"item_id": 1065580746,
"description": "Mobile Phone",
"sku": "MOBILE",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.65,
"value": 125
},
{
"item_id": 1065580747,
"description": "Mobile Case (Black)",
"sku": "MOBILE-CASE-BLK",
"quantity": 1,
"quantity_to_ship": 0,
"weight": 0.05,
"value": 20
}
],
"packages": [
{
"package_id": 1035548017,
"weight": 0.7,
"height": 0.04,
"width": 0.08,
"length": 0.1
}
],
"declared_value": 0,
"archived": false,
"manifest_number": 0,
"address_validation": "NotChecked",
"create_return": false,
"dtp": false,
"add_insurance": false,
"insurance_value": 0,
"plt": false,
"type": "Outgoing",
"platform": "MoneyWorks",
"status": "Unshipped"
},
"success": true
}